﻿# coding: utf-8
'''
'''

import json

from ru.curs.celesta.showcase.utils import XMLJSONConverter


def datapanel(context, main=None, session=None):

    data = {
        'datapanel': {
            'tab': []
        }
    }

    tab1 = {
        '@id': 1,
        '@name': u'Перечень ДПП ПК и циклов',
        'element': []
    }

    dpppkCyclesFilter = {
        '@id': 'dpppkFilter',
        '@type': 'xforms',
        '@proc': 'medstaff.xform.dpppkCyclesFilter.cardData.celesta',
        '@template':'nci/dpppkCyclesFilter.xml',
        '@hideOnLoad':'false',
        'proc': {
            '@id':'save',
            '@name':'medstaff.xform.dpppkCyclesFilter.cardSave.celesta',
            '@type':'SAVE'
        }
    }
	
    dpppkCyclesCatalogGrid = {"@id": 'dpppkCyclesCatalogGrid',
                 "@type":"grid",
                 "@subtype":"JS_PAGE_GRID",
                 "@plugin": "pageDGrid",
                 "@proc":"medstaff.grids.dpppkCyclesCatalogGrid.gridData.celesta",
                 "@hideOnLoad":'true',
                 "proc":
                    [{"@id":'dpppkCyclesCatalogGridToolBar',
                      "@name":"medstaff.grids.dpppkCyclesCatalogGrid.gridToolBar.celesta",
                      "@type":"TOOLBAR"
                      },
                     
                    {"@id":'dpppkCyclesCatalogGridMeta',
                    "@name":'medstaff.grids.dpppkCyclesCatalogGrid.gridMeta.celesta',
                    "@type": 'METADATA'
                    }
                    ],
                "related":
                   [{"@id":'dpppkCyclesFilter'}]
                 }

    tab1['element'].append(dpppkCyclesFilter)
    tab1['element'].append(dpppkCyclesCatalogGrid)
    data['datapanel']['tab'].extend([tab1])

    return XMLJSONConverter.jsonToXml(json.dumps(data))
