# coding: utf-8
'''
'''
import json
import security.functions as secfun

def methodContentNavigator(context, session):
    sid = json.loads(session)['sessioncontext']['sid']
    resultJSON = {
        "group": {
            "@id": "methodContent",
            "@name": "Методическое содержание",
            "level1": []
        }
    }

    if secfun.userHasPermission(context, sid, 'methodist'):
        resultJSON['group']['level1'].append({
            '@id': 'methodist',
            '@name': 'Перечень ДПП ПК и циклов',
            '@selectOnLoad': 'true',
            'action': {
              '#sorted': [
                {'main_context': 'current'},
                {'datapanel': {
                    '@type': 'method.datapanel.dpppkCyclesCatalogDatapanel.datapanel.cl',
                    '@tab': 'firstOrCurrent'}}]
            }
        })

        resultJSON['group']['level1'].append({
            '@id': 'dpppkListeners',
            '@name': 'Слушатели ДПП ПК',
            'action': {
              '#sorted': [
                {'main_context': 'current'},
                {'datapanel': {
                    '@type': 'method.datapanel.dpppkListenersDatapanel.datapanel.cl',
                    '@tab': 'firstOrCurrent'}
                }]
            }
        })
        
        resultJSON['group']['level1'].append({
            '@id': 'reports',
            '@name': 'Отчеты',
            'action': {
              '#sorted': [
                {'main_context': 'current'},
                {'datapanel': {
                    '@type': 'method.datapanel.reportDatapanel.datapanel.cl',
                    '@tab': 'firstOrCurrent'}
                }]
            }
        })

    if not resultJSON['group']['level1']:
        resultJSON = {"group": None}
        context.error(u"Отсутствуют разрешения для работы с системой. Обратитесь к администратору.")
    return resultJSON


def navWidth(context, session):
    return {"@width": "205px",
            "@hideOnLoad": "false"}
